#ifndef __GMYTH_DBUS_COMMON_H__
#define __GMYTH_DBUS_COMMON_H__

#define GMYTH_DBUS_SERVER_NAME      "br.org.indt.GMyth"
#define GMYTH_DBUS_SERVER_PATH      "/br/org/indt/GMyth"
#define GMYTH_DBUS_SERVER_IFACE     "br.org.indt.GMyth"

#define GMYTH_DBUS_PROGRAM_G_TYPE \
    dbus_g_type_get_struct ("GValueArray", \
                            G_TYPE_INT, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_INVALID);

#define GMYTH_DBUS_CHANNEL_G_TYPE \
    dbus_g_type_get_struct ("GValueArray", \
                            G_TYPE_INT, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_INVALID);

#define GMYTH_DBUS_RECORD_G_TYPE \
    dbus_g_type_get_struct ("GValueArray", \
                            G_TYPE_UINT, \
                            G_TYPE_STRING, \
                            G_TYPE_INT, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_UINT64, \
                            G_TYPE_INVALID);

#define GMYTH_DBUS_SCHEDULE_G_TYPE \
    dbus_g_type_get_struct ("GValueArray", \
                            G_TYPE_UINT, \
                            G_TYPE_STRING, \
                            G_TYPE_INT, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_STRING, \
                            G_TYPE_UINT, \
                            G_TYPE_INVALID);

#endif

